Bug 301231 - Review Request: ladspa-fil-plugins - LADSPA Filter plugins
Review Request: ladspa-fil-plugins - LADSPA Filter plugins
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-21 16:21 EDT by Hans de Goede
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-24 14:01:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2007-09-21 16:21:42 EDT
Spec URL: http://people.atrpms.net/~hdegoede/ladspa-fil-plugins.spec
SRPM URL: http://people.atrpms.net/~hdegoede/ladspa-fil-plugins-0.1.0-2.fc8.src.rpm
Description:
There's one plugin in this first release, a four-band parametric
equaliser. Each section has an active/bypass switch, frequency,
bandwidth and gain controls. There is also a global bypass switch and
gain control.
Comment 1 Parag AN(पराग) 2007-09-23 23:48:40 EDT
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and RPM.
+ source files match upstream.
6be67349d51191435ba8b5b124440f01  FIL-plugins-0.1.0.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ Compiler flags are honoured correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Pacakge ladspa-fil-plugins-0.1.0-2.fc8 ->
  Provides: fil-plugins = 0.1.0-2.fc8 filters.so
  Requires: ladspa libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1.3)
libgcc_s.so.1 libm.so.6 libm.so.6(GLIBC_2.0) libstdc++.so.6
libstdc++.so.6(CXXABI_1.3) libstdc++.so.6(GLIBCXX_3.4) rtld(GNU_HASH)
+ Not a GUI app.

APPROVED.
Comment 2 Hans de Goede 2007-09-24 03:00:55 EDT
Thanks!

New Package CVS Request
=======================
Package Name:      ladspa-fil-plugins
Short Description: LADSPA Filter plugins
Owners:            jwrdegoede nando
Branches:          F-7 devel
InitialCC:         <empty>
Cvsextras Commits: Yes
Comment 3 Kevin Fenzi 2007-09-24 12:36:11 EDT
cvs done.
Comment 4 Hans de Goede 2007-09-24 14:01:51 EDT
Imported and build for devel and F-7, request push as F-7 update.

Note You need to log in before you can comment on or make changes to this bug.